
# APACHE

expresso ()
{
	# Copia o Expresso para o diretório indicado como parâmetro
	cp -r `dirname `pwd`` $1
	# Requisita a senha
	get_pass
	HEADER_PWD=`php $ARQS/scripts/pass.php $LDAP_PWD`
	sed -e "s/HEADER_PWD/$HEADER_PWD/g" $ARQS/header.inc.php > $1/header.inc.php
	# Copia o mkntpwd para o home do Expresso
	mkdir -p /home/expressolivre
	cp $ARQS/home/expressolivre/* /home/expressolivre/
}

http_debian-lenny ()
{
	# Instala o apache2 juntamente com o PHP5 e seus respectivos módulos
	apt-get install -y apache2-mpm-prefork libapache2-mod-php5 apache2-utils \
		php5 php5-common php5-dev php5-gd php5-imap php5-ldap php5-pgsql php5-cgi php5-cli php5-xmlrpc \
		zip unzip
	# Copia os arquivos do Expresso Livre
	expresso /var/www/
	chown -R www-data:www-data /var/www/expresso /home/expressolivre

	# descomente para gerar o certificado para o https
	#apache2-ssl-certificate;
	a2enmod rewrite

	# Copia a configuração do servidor apache2
	cp -a debian/lenny/etc/apache2/apache2.conf /etc/apache2/
	cp -a debian/lenny/etc/apache2/ports.conf /etc/apache2/
	cp -a debian/lenny/etc/apache2/sites-available/default /etc/apache2/sites-available/
	cp -a debian/lenny/etc/apache2/ssl/ /etc/apache2/

	# Copia a configuração do PHP
	cp -a debian/lenny/php.ini /etc/php5/apache2/

	#mkdir /php_sessions/ || { echo "Diretório já existe. [OK]"; }
	#chmod -R 777 /php_sessions/

	/etc/init.d/apache2 restart
}

http_debian-etch ()
{
	http_debian-lenny
}

http_rhel5 ()
{
	yum -y install httpd mod_ssl \
		php php-cli php-ldap php-pgsql php-imap php-mbstring php-gd php-xml \
		unzip zip

	expresso /var/www/html/
	chown -R apache:apache /var/www/html/expresso /home/expressolivre

	cp -a rhel5/etc/httpd/conf/httpd.conf /etc/httpd/conf/
	cp -a rhel5/etc/httpd/conf.d/expresso.conf /etc/httpd/conf.d/
	cp -a rhel5/etc/httpd/conf.d/ssl.conf /etc/httpd/conf.d/
	cp -a rhel5/etc/php.ini /etc/

	service httpd restart
	chkconfig httpd on
}

http_sles10 ()
{
	yast -i apache2 apache2-prefork apache2-mod_php5 \
		php5 php5-devel php5-gd php5-imap php5-ldap php5-pgsql php5-fastcgi php5-mbstring php5-pear-auth \
		zip unzip

	a2enmod rewrite;

	### Se já existir uma instalação no expresso no apache, ela será removida.
	rm -Rf /srv/www/htdocs/expresso/

	### Copia dos arquivos do expresso para o apache. Seta as permissões corretas.
	cp -R -p ../../../expresso/ /srv/www/htdocs/
	chown -R wwwrun:www /srv/www/htdocs/expresso/

	### Troca os arquivos de configuração do apache pelos corretos do Expresso.
	cp /etc/apache2/httpd.conf /etc/apache2/httpd.conf.bkpexpresso
	cp ./arqs-conf-suse/etc/apache2/httpd.conf /etc/apache2/

	cp /etc/apache2/server-tuning.conf /etc/apache2/server-tuning.conf.bkpexpresso
	cp ./arqs-conf-suse/etc/apache2/server-tuning.conf /etc/apache2/
	cp ./arqs-conf-suse/etc/apache2/vhosts.d/expresso.conf /etc/apache2/vhosts.d/

	cp /etc/apache2/sysconfig.d/global.conf /etc/apache2/sysconfig.d/global.conf.bkpexpresso
	cp ./arqs-conf-suse/etc/apache2/sysconfig.d/global.conf /etc/apache2/sysconfig.d/

	### Troca o arquivo de configurações do PHP com as exigências do Expresso.
	cp /etc/php5/apache2/php.ini /etc/php5/apache2/php.ini.bkpexpresso
	cp ./arqs-conf-suse/etc/php5/apache2/php.ini /etc/php5/apache2/

	### Reinicia o apache.
	rcapache2 restart
}
